---
title: text-anchor
slug: Web/SVG/Attribute/text-anchor
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p><span class="seoSummary">The <strong><code>text-anchor</code></strong> attribute is used to align (start-, middle- or end-alignment) a string of pre-formatted text or auto-wrapped text where the wrapping area is determined from the {{SVGAttr("inline-size")}} property relative to a given point.</span> It is not applicable to other types of auto-wrapped text. For those cases you should use {{cssxref("text-align")}}. For multi-line text, the alignment takes place for each line.</p>

<p>The <code>text-anchor</code> attribute is applied to each individual text chunk within a given {{SVGElement("text")}} element. Each text chunk has an initial current text position, which represents the point in the user coordinate system resulting from (depending on context) application of the {{SVGAttr("x")}} and {{SVGAttr("y")}} attributes on the <code>&lt;text&gt;</code> element, any <code>x</code> or <code>y</code> attribute values on a {{SVGElement("tspan")}}, {{SVGElement("tref")}} or {{SVGElement("altGlyph")}} element assigned explicitly to the first rendered character in a text chunk, or determination of the initial current text position for a {{SVGElement("textPath")}} element.</p>

<p class="note"><strong>Note:</strong> As a presentation attribute, <code>text-anchor</code> can be used as a CSS property.</p>

<p>As a presentation attribute, it can be applied to any element but it has effect only on the following five elements: {{SVGElement("altGlyph")}}, {{SVGElement("text")}}, {{SVGElement("textPath")}}, {{SVGElement("tref")}}, and {{SVGElement("tspan")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css notranslate">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; highlight[6-8] notranslate">&lt;svg viewBox="0 0 120 120" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;!-- Materialisation of anchors --&gt;
  &lt;path d="M60,15 L60,110 M30,40 L90,40 M30,75 L90,75 M30,110 L90,110" stroke="grey" /&gt;

  &lt;!-- Anchors in action --&gt;
  &lt;text text-anchor="start" x="60" y="40"&gt;A&lt;/text&gt;
  &lt;text text-anchor="middle" x="60" y="75"&gt;A&lt;/text&gt;
  &lt;text text-anchor="end" x="60" y="110"&gt;A&lt;/text&gt;

  &lt;!-- Materialisation of anchors --&gt;
  &lt;circle cx="60" cy="40" r="3" fill="red" /&gt;
  &lt;circle cx="60" cy="75" r="3" fill="red" /&gt;
  &lt;circle cx="60" cy="110" r="3" fill="red" /&gt;

  &lt;style&gt;&lt;![CDATA[
  text {
    font: bold 36px Verdana, Helvetica, Arial, sans-serif;
  }
  ]]&gt;&lt;/style&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "120", "120")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Default value</th>
   <td><code>start</code></td>
  </tr>
  <tr>
   <th scope="row">Value</th>
   <td><code>start</code> | <code>middle</code> | <code>end</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>discrete</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>start</code></dt>
 <dd>The rendered characters are aligned such that the start of the text string is at the initial current text position. For an element with a {{cssxref("direction")}} property value of <code>ltr</code> (typical for most European languages), the left side of the text is rendered at the initial text position. For an element with a direction property value of <code>rtl</code> (typical for Arabic and Hebrew), the right side of the text is rendered at the initial text position. For an element with a vertical primary text direction (often typical for Asian text), the top side of the text is rendered at the initial text position.</dd>
 <dt><code>middle</code></dt>
 <dd>The rendered characters are aligned such that the middle of the text string is at the current text position. (For text on a path, conceptually the text string is first laid out in a straight line. The midpoint between the start of the text string and the end of the text string is determined. Then, the text string is mapped onto the path with this midpoint placed at the current text position.)</dd>
 <dt><code>end</code></dt>
 <dd>The rendered characters are shifted such that the end of the resulting rendered text (final current text position before applying the <code>text-anchor</code> property) is at the initial current text position. For an element with a <code>direction</code> property value of <code>ltr</code> (typical for most European languages), the right side of the text is rendered at the initial text position. For an element with a <code>direction</code> property value of <code>rtl</code> (typical for Arabic and Hebrew), the left side of the text is rendered at the initial text position. For an element with a vertical primary text direction (often typical for Asian text), the bottom of the text is rendered at the initial text position.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG2", "text.html#TextAnchorProperty", "text-anchor")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>No significant change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#TextAnchorProperty", "text-anchor")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.presentation.text-anchor")}}</p>
